<template>
  <div class="bg-02 w-screen h-screen">
    <div class="md:flex md:justify-center mb-6">
      <form class="w-full max-w-lg mt-36">
        <h1
          class="text-5xl text-center text-tek-white border-solid border-4 border-tek-main mb-8"
        >
          <span class="text-tek-main">C</span>ontactez-nous
        </h1>
        <div class="flex flex-wrap -mx-3 mb-6">
          <div class="w-full px-3">
            <label
              class="block uppercase tracking-wide text-white text-xs font-bold mb-2"
              for="grid-password"
            >
              E-mail
            </label>
            <input
              required
              v-model="form.mail"
              class="appearance-none block w-full bg-gray-200 text-tek-black border border-gray-200 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white focus:border-gray-500"
              id="mail"
              type="email"
            />
          </div>
        </div>
        <div class="flex flex-wrap -mx-3 mb-6">
          <div class="w-full px-3">
            <label
              class="block uppercase tracking-wide text-white text-xs font-bold mb-2"
              for="grid-password"
            >
              Sujet
            </label>
            <input
              required
              v-model="form.subject"
              class="appearance-none block w-full bg-gray-200 text-tek-black border border-gray-200 rounded py-3 px-2 mb-3 leading-tight focus:outline-none focus:bg-white focus:border-gray-500"
              id="object"
              type="text"
            />
          </div>
        </div>
        <div class="flex flex-wrap -mx-3 mb-6">
          <div class="w-full px-3">
            <label
              class="block uppercase tracking-wide text-white text-xs font-bold mb-2"
              for="grid-password"
            >
              Message
            </label>
            <textarea
              required
              v-model="form.body"
              class="no-resize appearance-none block w-full bg-gray-200 text-tek-black border border-gray-200 rounded py-3 px-4 mb-3 leading-tight focus:outline-none focus:bg-white focus:border-gray-500 h-36 resize-none"
              id="message"
            ></textarea>
          </div>
        </div>
        <div class="flex flex-col justify-center items-center">
          <div class="md:w-1/3 flex items-center justify-center">
            <button
              @click.once.prevent="submit()"
              :disabled="sending"
              class="bg-tek-main focus:shadow-outline focus:outline-none text-tek-black font-bold py-2 px-6"
              type="button"
            >
              Envoyer
            </button>
          </div>
          <div class="md:w-2/3"></div>
        </div>
      </form>
    </div>
  </div>
</template>

<script>
import Layout from '@/Shared/Layout'
export default {
  layout: Layout,
  data() {
    return {
      form: {
        mail: null,
        subject: null,
        body: null,
      },
      sending: false
    }
  },
  methods: {
    submit() {
      if (this.form.mail && this.form.subject && this.form.body) {
        this.$inertia.post(this.route('mail.contact.form'), this.form, {
          preserveScroll: true,
          onStart: () => (this.sending = true),
          onFinish: () => (this.sending = false),
        })
      }
    },
  },
}
</script>
